package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 考生信息表
* @author: zxq
* @date: 2019-01-08 13:51:07
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "STD_REG", keyColumn =  "STD_ID" , sequenceName = "STD_REG_ID")
public class StdReg implements Serializable{
	private static final long serialVersionUID = 2862948537999327325L;
	//考生内部编号
	private Integer std_id;
	//证件号码
	private String cert_id;
	//高考报名号
	private String exam_id;
	//注册日期
	private LocalDateTime reg_time;
	//考生姓名
	private String std_name;
	//考生性别
	private String std_sex;
	//高考所在地区
	private String std_area;
	//高考所在县市
	private String std_city;
	//联系电话1
	private String std_mobile1;
	//联系电话2
	private String std_mobile2;
	//高中
	private String std_school;
	//联系地址
	private String link_addr;
	//考生类型（应往届）
	private String std_type;
	//备注信息
	private String std_desc;
	//备用字段1
	private String std_param1;
	//备用字段2
	private String std_param2;
	//备用字段3
	private String std_param3;
	//备用字段4
	private String std_param4;
	//备用字段4
	private String std_param5;
	//是否有合格的专业
	private String qualified_status;
	//考生的StdUpload照片，冗余字段
	private String std_image;
	//从哪个学校来的
	private Integer from_school;
	private LocalDateTime confirm_time;
	//证件类型
	private String cert_type;
	//民族
	private String std_nation;
	//生源地
	private String std_province;
	//考生密码
	private String std_pass;
	//是否缴费
	private String pay_status;
	//审核状态
	private String verify_status;
	/****
	 * 考生内部编号
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生内部编号
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	/****
	 * 证件号码
	 */
	public String getCert_id() {
		return this.cert_id;
	}

	/****
	 * 证件号码
	 */
	public void setCert_id(String cert_id) {
		this.cert_id = cert_id;
	}

	/****
	 * 高考报名号
	 */
	public String getExam_id() {
		return this.exam_id;
	}

	/****
	 * 高考报名号
	 */
	public void setExam_id(String exam_id) {
		this.exam_id = exam_id;
	}

	/****
	 * 注册日期
	 */
	public LocalDateTime getReg_time() {
		return this.reg_time;
	}

	/****
	 * 注册日期
	 */
	public void setReg_time(LocalDateTime reg_time) {
		this.reg_time = reg_time;
	}

	/****
	 * 考生姓名
	 */
	public String getStd_name() {
		return this.std_name;
	}

	/****
	 * 考生姓名
	 */
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	/****
	 * 考生性别
	 */
	public String getStd_sex() {
		return this.std_sex;
	}

	/****
	 * 考生性别
	 */
	public void setStd_sex(String std_sex) {
		this.std_sex = std_sex;
	}

	/****
	 * 高考所在地区
	 */
	public String getStd_area() {
		return this.std_area;
	}

	/****
	 * 高考所在地区
	 */
	public void setStd_area(String std_area) {
		this.std_area = std_area;
	}

	/****
	 * 高考所在县市
	 */
	public String getStd_city() {
		return this.std_city;
	}

	/****
	 * 高考所在县市
	 */
	public void setStd_city(String std_city) {
		this.std_city = std_city;
	}

	/****
	 * 联系电话1
	 */
	public String getStd_mobile1() {
		return this.std_mobile1;
	}

	/****
	 * 联系电话1
	 */
	public void setStd_mobile1(String std_mobile1) {
		this.std_mobile1 = std_mobile1;
	}

	/****
	 * 联系电话2
	 */
	public String getStd_mobile2() {
		return this.std_mobile2;
	}

	/****
	 * 联系电话2
	 */
	public void setStd_mobile2(String std_mobile2) {
		this.std_mobile2 = std_mobile2;
	}

	/****
	 * 高中
	 */
	public String getStd_school() {
		return this.std_school;
	}

	/****
	 * 高中
	 */
	public void setStd_school(String std_school) {
		this.std_school = std_school;
	}

	/****
	 * 联系地址
	 */
	public String getLink_addr() {
		return this.link_addr;
	}

	/****
	 * 联系地址
	 */
	public void setLink_addr(String link_addr) {
		this.link_addr = link_addr;
	}

	/****
	 * 考生类型（应往届）
	 */
	public String getStd_type() {
		return this.std_type;
	}

	/****
	 * 考生类型（应往届）
	 */
	public void setStd_type(String std_type) {
		this.std_type = std_type;
	}

	/****
	 * 备注信息
	 */
	public String getStd_desc() {
		return this.std_desc;
	}

	/****
	 * 备注信息
	 */
	public void setStd_desc(String std_desc) {
		this.std_desc = std_desc;
	}

	/****
	 * 备用字段1
	 */
	public String getStd_param1() {
		return this.std_param1;
	}

	/****
	 * 备用字段1
	 */
	public void setStd_param1(String std_param1) {
		this.std_param1 = std_param1;
	}

	/****
	 * 备用字段2
	 */
	public String getStd_param2() {
		return this.std_param2;
	}

	/****
	 * 备用字段2
	 */
	public void setStd_param2(String std_param2) {
		this.std_param2 = std_param2;
	}

	/****
	 * 备用字段3
	 */
	public String getStd_param3() {
		return this.std_param3;
	}

	/****
	 * 备用字段3
	 */
	public void setStd_param3(String std_param3) {
		this.std_param3 = std_param3;
	}

	/****
	 * 备用字段4
	 */
	public String getStd_param4() {
		return this.std_param4;
	}

	/****
	 * 备用字段4
	 */
	public void setStd_param4(String std_param4) {
		this.std_param4 = std_param4;
	}

	/****
	 * 备用字段4
	 */
	public String getStd_param5() {
		return this.std_param5;
	}

	/****
	 * 备用字段4
	 */
	public void setStd_param5(String std_param5) {
		this.std_param5 = std_param5;
	}

	/****
	 * 是否有合格的专业
	 */
	public String getQualified_status() {
		return this.qualified_status;
	}

	/****
	 * 是否有合格的专业
	 */
	public void setQualified_status(String qualified_status) {
		this.qualified_status = qualified_status;
	}

	/****
	 * 考生的StdUpload照片，冗余字段
	 */
	public String getStd_image() {
		return this.std_image;
	}

	/****
	 * 考生的StdUpload照片，冗余字段
	 */
	public void setStd_image(String std_image) {
		this.std_image = std_image;
	}

	/****
	 * 从哪个学校来的
	 */
	public Integer getFrom_school() {
		return this.from_school;
	}

	/****
	 * 从哪个学校来的
	 */
	public void setFrom_school(Integer from_school) {
		this.from_school = from_school;
	}

	public LocalDateTime getConfirm_time() {
		return this.confirm_time;
	}

	public void setConfirm_time(LocalDateTime confirm_time) {
		this.confirm_time = confirm_time;
	}

	public String getCert_type() {
		return cert_type;
	}

	public void setCert_type(String cert_type) {
		this.cert_type = cert_type;
	}

	public String getStd_nation() {
		return std_nation;
	}

	public void setStd_nation(String std_nation) {
		this.std_nation = std_nation;
	}

	public String getStd_province() {
		return std_province;
	}

	public void setStd_province(String std_province) {
		this.std_province = std_province;
	}

	public String getStd_pass() {
		return std_pass;
	}

	public void setStd_pass(String std_pass) {
		this.std_pass = std_pass;
	}

	public String getPay_status() {
		return pay_status;
	}

	public void setPay_status(String pay_status) {
		this.pay_status = pay_status;
	}

	public String getVerify_status() {
		return verify_status;
	}

	public void setVerify_status(String verify_status) {
		this.verify_status = verify_status;
	}
	
}


